i call this project "fediblock" but i need a better name because the idea goes beyond what we know as fediblock

we already have a few different block lists and tools out there:

- thebad.space
- garden.fence
- oliphant's lists
- seirdy's list

one of the biggest complaints i see on the fedi about block lists is that they are biased ... which is true. and perfectly valid. some of us NEED highly biased blocklists to be able to curate our feeds and experience exactly how we want it. there are thousands of instances connected to the fediverse. to ask each and every new instance to build their own blocks from scratch is too much. too daunting. having a starting place is something that makes it easier to get to posting.

i wanted to envision something less opionionated. now, granted, blocks are inherently opinionated. that's kind of the point. but we all have different ideas of how far we want to go. 

for example: an instance may want to remain open to places like mastodon.social for the purposes of exposure, but they don't want to open to places like kiwifarms... many instances block mastodon.social because it is one of the largest instances with arguably the least amount of moderation oversight. if you've been on the fediverse for any length of time, you know how CSAM and spam can get through their moderation team real easily.

my idea is categorising blocks (and receipts) by tags. each instance (and receipt) can be assigned one or more tags to describe that instance's existence on the tool. it will also make searching easier - you can find all the latest entries for ... say ... harrassment.

i am including a set of tags to begin with in json format. 

i do include a users structure because it may make sense to lock some functionality behind verified accounts - adhoc adding of new entries, for example - so having that included from the start made sense. and since i created the project, my user is likely to be hard-coded into the project at almost all stages. (if you are cloning this project, please keep that in mind). later on, this will change but for now ... this makes it easier for me.

further, folks can request a customized list based on tags to use wherever they want.

now this is a nascent project. i don't promise to have code ready for proofing any time soon. it is also highly dependent on the platforms we currently have at our disposal. as of this writing, i intend to start by customising for GoToSocial and Mastodon (and its flavours/forks).

ultimately, i expect this to live online somewhere ... but i will also keep in mind that it is open source and someone else might want to clone and take it in a different direction. 

finally, i will likely move to github if this gets off the ground and invite collaborators. but that's a ways off.
___

anyway - that's the begining spiel for this project.

for more information, dm me @fyrfli@diaspora.im - let's talk.
